<template>
    <div class="createUser">
        <main>
            <div class="mainContent">
                <el-form ref="user" :rules="createThings" label-width="140px" autoComplete="on" :model="things" label-position="right">
                    <!-- 违规事项编号 -->
                    <!-- <el-form-item class="optionItem" label="违规事项编号:" prop="number">
                        <el-input v-model="things.number" placeholder="请填写违规事项编号"></el-input>
                    </el-form-item>  -->
                    <!-- 新增的类型或大类或小类 -->
                    <el-form-item class="optionItem" label="新增名称:" prop="name">
                        <el-input v-model="things.name" placeholder="请输入新增名称"></el-input>
                    </el-form-item>
                    <!-- 所属类型 -->
                    <el-form-item class="optionItems" label="所属类型:" prop="typeThird">
                        <el-select v-model="things.typeThird" placeholder="请选择所属类型" >
                            <el-option v-for="item in typeThirdList" :key="item.id" :label="item.name"
                                :value="item.id">
                            </el-option>
                        </el-select>
                    </el-form-item>
                    <!-- 所属大类 -->
                    <el-form-item class="optionItem" label="所属大类:" prop="typeSecond">
                        <el-select v-model="things.typeSecond" placeholder="请选择所属类型" >
                            <el-option v-for="item in typeSecondList" :key="item.id" :label="item.name"
                                :value="item.id">
                            </el-option>
                        </el-select>
                    </el-form-item>
                    <!-- 请输入新增等级 -->
                    <el-form-item class="optionItem" label="案件等级:" prop="level">
                        <el-select v-model="things.level" placeholder="请选择所属类型" >
                            <el-option v-for="item in eventLevelList" :key="item.id" :label="item.name"
                                :value="item.id">
                            </el-option>
                        </el-select>
                    </el-form-item>
                    <!-- 所属小类 -->
                    <!-- <el-form-item class="optionItem" label="所属小类:" prop="typeFirst">
                        <el-select v-model="things.typeFirst" placeholder="请选择所属类型" disabled>
                            <el-option v-for="item in typeFirstList" :key="item.id" :label="item.name"
                                :value="item.id">
                            </el-option>
                        </el-select>
                    </el-form-item> -->
                    <!-- 案由 -->
                    <el-form-item class="optionItem" label="案由:" prop="type">
                        <el-input type="textarea" autosize v-model="things.type" placeholder="请输入案由描述内容"></el-input>
                    </el-form-item>
                    <el-form-item>
                        <div class="optionBtn">
                            <el-button type="primary" class="btn submit" @click.native.prevent="handleSubmit">确认
                            </el-button>
                        </div>
                    </el-form-item>
                </el-form>
            </div>
        </main>
    </div>
</template>
<script>
export default {
    data() {
        const checkName = (rule,value,callback)=>{
            if(value){
                callback();
            }else{
                callback(new Error('新增违规类型不能为空'));
            }
        }
        const checkLevel = (rule,value,callback)=>{
            if(value){
                callback();
            }else{
                callback(new Error('新增违规等级不能为空'));
            }
        }
        return {
            things: {
                // number: 0,
                // type: '',
                name:'',
                typeFirst: '',
                typeSecond: '',
                typeThird: '',
                level:'',
            },
            createThings:{
                name:[
                    {
                        required:true,trigger:'blur',validator:checkName
                    }
                ],
                level:[
                    {
                        required:true,trigger:'change',validator:checkLevel
                    }
                ]
            },
            roleList: [],
            typeThirdList:[],
            typeSecondList:[],
            // typeFirstList:[],
            eventLevelList:[]
        }
    },
    created() {
        // 获取所属类型列表
        this.getTypeThird();
        this.getTypeSecond();
        // this.getTypeFirst();
        this.getEventLevel();
    },
    methods: {
        // 查询所属类型
        getTypeThird() {
            this.$axios({
                method: 'get',
                url: "sccg/violations/query/type_first",
            })
                .then(res => {
                    this.typeThirdList = res.data;
                })
        },
        // 查询所属大类
        getTypeSecond(){
            this.$axios({
                method: 'get',
                url: "sccg/violations/query/type_second",
            })
                .then(res => {
                    this.typeSecondList = res.data;
                })
        },
        // 查询所属小类
        // getTypeFirst(){
        //     this.$axios({
        //         method: 'get',
        //         url: "sccg/violations/query/type_third",
        //     })
        //         .then(res => {
        //             this.typeFirstList = res.data;
        //         })
        // },
        // 获取案件等级列表
        getEventLevel() {
            this.$axios({
                method: 'get',
                url: 'sccg/violations/query/event_type'
            })
                .then(res => {
                    this.eventLevelList = res.data;
                })
        },
        // 提交新增违规类型
        handleSubmit(){
        }
    },
    props: ['getUserList']
}
</script>
<style lang="scss" scoped>
.createUser {
    border-radius: 1px;
    // background-color: #09152f;

    main {
        // border: 1px solid #fff;
        text-align: left;
        padding: 0 55px;
        // background-color: #09152f;
        padding-bottom: 50px;

        .mainContent {
            display: flex;
            justify-content: center;
            padding-top: 50px;

            .el-form-item__content {
                width: 400px;

                .el-select {
                    width: 100%;
                }
            }

            .optionHandleSp {
                display: flex;

                .areaNumber,
                .moreNumber {
                    flex: 1;
                }

                .telNumber {
                    flex: 2;
                }
            }

            .optionBtn {
                display: flex;
                margin-top: 20px;

                .btn {
                    padding: 12px 50px;
                }
            }

        }
    }

    // &::v-deep .el-textarea__inner {
    //     background-color: #09152f;
    //     border: 1px solid #17324c;
    //     font-size: 10px;
    // }

    // ::v-deep .el-form-item__label {
    //     color: #4b9bb7;
    // }

    // ::v-deep .el-input__inner {
    //     background-color: #09152f;
    //     border: 1px solid #17324c;
    //     font-size: 10px;
    // }
}
</style>